QGIS Application - Bug report #17890

select features by value select wrong geometries in layers with defined relations when you search

from fields in child layer
2018-01-18 11:35 PM - Gerhard Spieles

Status: Open
Priority: Normal
Assignee: Matthias Kuhn
Category: Relations

Affected QGIS version:3.0.0
Operating System: win10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 25785

Description

Select features by value reports in the selection form "The relation is not valid. Please make sure, your relation definitions are OK."
The results from values defined in fields in the many part (child layer) in selection form are wrong.

| checked the relation definition in project properities and it is ok. The identify feature form shows the right datas.

Screenshot is attached.

History

#1 - 2018-02-26 09:47 PM - Gerhard Spieles

Issue is still present in 3.1.0-3 (see Mail Paolo Cavallini, QGIS tickets)

#2 - 2018-03-01 11:06 AM - Giovanni Manghi
- Affected QGIS version changed from master to 3.0.0
